<template>
  <div class="layout-navbars-container">
    <BreadcrumbIndex />
    <TagsView v-if="setShowTagsView" />
  </div>
</template>

<script setup lang="ts" name="layoutNavBars">
import { computed } from 'vue'
import BreadcrumbIndex from '/@/layout/navBars/breadcrumb/index.vue'
import TagsView from '/@/layout/navBars/tagsView/tagsView.vue'
import { useThemeConfig } from '/@/stores/themeConfig';
import { storeToRefs } from 'pinia';
const storesThemeConfig = useThemeConfig()
const { themeConfig } = storeToRefs(storesThemeConfig)
const setShowTagsView = computed(() => {
  let { layout, isTagsview } = themeConfig.value
  return layout !== 'classic' && isTagsview
})
</script>
<style scoped lang="scss">
.layout-navbars-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
}
</style>